For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer GuidesThreads APIAccount Management APIAnalytics API
Developer GuidesThreads APIAccount Management APIAnalytics API
  • Threads
    • GETList Threads
    • POSTCreate Thread
    • DELDelete Thread
    • PATCHUpdate Thread
    • GETList Messages
    • POSTSend Message
    • GETGet Thread Progress
    • DELCancel Thread Task
    • POSTUpload File
    • GETGet Artifact
    • GETStream Thread Events
LogoLogo
Threads

Create Thread

POST
https://sandbox.api.boosted.ai/v2/threads
POST
/v2/threads
$curl -X POST https://sandbox.api.boosted.ai/v2/threads \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "thread_name": "string"
>}'
1{
2 "thread_id": "string"
3}

Create a new thread for conversation.

This endpoint creates a new thread and returns the thread_id of the newly created thread. Threads are used for organizing conversations and can be used to send messages and receive responses.

Was this page helpful?
Previous

Delete Thread

Next
Built with

Authentication

AuthorizationBearer
OAuth2 access token obtained via token exchange.

Request

This endpoint expects an object.
thread_namestringRequired
The name of the newly created thread

Response

Successful Response
thread_idstring

Errors

422
Unprocessable Entity Error